Subject: Re: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Aaron Jensen <[email-masked]>
Date: Thu, 29 Dec 2022 18:59:41 -0500

On Thu, Dec 29, 2022 at 6:49 PM Paul Eggert <[email-masked]> wrote:
>
> On 12/29/22 15:46, Aaron Jensen wrote:
> >   have something that eagerly
> > loads packages on an idle timer (it caches what was loaded when Emacs
> > is quit).
>
> Could it by that the dynamic linker is being invoked recursively? That
> is, while something is being dynamically linked, a SIGALRM or equivalent
> arrives, some idle timer code is run, and the dynamic linker is invoked
> before the outer linker finishes? I imagine that might put some dynamic
> linkers into a tizzy.

I have no idea, would we see that in the trace at all? Here are two
more crashes: https://gist.github.com/aaronjensen/f7c46857ea93c858f46a639d8880f290

I have been able to reproduce it just now pretty easily, but I still
can't reproduce it with the debugger attached.